Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040224
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Omnichannelminorhave not tried2019-01-31 17:212019-03-27 13:47
ReporterplujanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision6462bd3ae83f
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression levelPackaging and release
Regression date2018-11-08
Regression introduced in releasepi
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8bb7e3c1aa17 [^]
Triggers an Emergency PackNo
Summary

0040224: [RR19Q1] [OMNI] The "Invoice" checkbox can be visually removed from paid tickets

DescriptionWhen a ticket has been invoiced, a checkbox labelled "Invoice" is shown. For draft tickets, it is possible to click this check to remove it and to add it again using the "Invoice this receipt" menu option.

However, in previous releases, trying to remove the check from a paid ticket generated a pop up error message "This order cannot be edited", while in current release there is no pop up and the check is removed. It is true that the change is simply visual (reloading the same ticket will show the check again)
Steps To Reproduce1. Create a ticket with a line
2. Select the menu option "Invoice this receipt" and pay it by its total amount. Note a check labelled "Invoice" is shown.
3. Go to the Open Receipt menu option and select the ticket to open it
4. Note the "Invoice" checkbox and click it. The checkbox now is not shown. Repeat these steps in 18Q4 and check an error message is shown "This order cannot be edited"
5. Close the ticket and open it again, note the check that is still shown, so the uncheck in step 4 is just visual.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040093 closedranjith_qualiantech_com [RR19Q1] [OMNI] The "Invoice" checkbox can be visually removed from paid tickets 

-  Notes
(0110049)
hgbot (developer)
2019-02-25 11:18

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: b22d5af852fc77af121e5a9479b421c45e9a3e50
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Feb 25 15:48:32 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/b22d5af852fc77af121e5a9479b421c45e9a3e50 [^]

Fixed issue 40224 : Invoice Flag should not be updated when receipt is not editable

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0110138)
hgbot (developer)
2019-03-01 08:03

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: e657f70047297d60bc13141fcfe3afd4b7646f5b
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Mar 01 12:32:49 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/e657f70047297d60bc13141fcfe3afd4b7646f5b [^]

Related to issue 40224 : Backed out changeset: b22d5af852fc

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0110221)
hgbot (developer)
2019-03-05 10:55

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: 6462bd3ae83f41e92b347186d3b3b630cbac78cd
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Mar 05 15:24:29 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/6462bd3ae83f41e92b347186d3b3b630cbac78cd [^]

Fixed issue 40224 : Invoice should not be genereated if it is already generated

* Currently, Invoice can be generated for completed receipt also.
  So if invoice is already generated for the order, we should not allow to enable invoice again

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0110222)
hgbot (developer)
2019-03-05 10:55

Repository: retail/backports/3.0RR19Q1/pi-mobile
Changeset: e01aec55b430176ba7f503a052d76b1c18ac3e55
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Mar 05 15:24:44 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/pi-mobile/rev/e01aec55b430176ba7f503a052d76b1c18ac3e55 [^]

Verifies issue 40224 : Added Automated Test 'I40224_VerifyInvoiceFlagInPaidReceipt'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I40224_VerifyInvoiceFlagInPaidReceipt.java
---
(0110237)
jorge-garcia (developer)
2019-03-05 17:28

Code reviewed and tested
(0110693)
hgbot (developer)
2019-03-27 13:47

Repository: tools/automation/pi-mobile
Changeset: e01aec55b430176ba7f503a052d76b1c18ac3e55
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Mar 05 15:24:44 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/e01aec55b430176ba7f503a052d76b1c18ac3e55 [^]

Verifies issue 40224 : Added Automated Test 'I40224_VerifyInvoiceFlagInPaidReceipt'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I40224_VerifyInvoiceFlagInPaidReceipt.java
---

- Issue History
Date Modified Username Field Change
2019-02-15 14:38 marvintm Type defect => backport
2019-02-15 14:38 marvintm Target Version => RR19Q1
2019-02-25 11:18 hgbot Checkin
2019-02-25 11:18 hgbot Note Added: 0110049
2019-02-25 11:18 hgbot Status scheduled => resolved
2019-02-25 11:18 hgbot Resolution open => fixed
2019-02-25 11:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/262969db0fded50b1bebbbdbcd9ece28fb0e21ea [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/b22d5af852fc77af121e5a9479b421c45e9a3e50 [^]
2019-03-01 08:01 ranjith_qualiantech_com Status resolved => new
2019-03-01 08:01 ranjith_qualiantech_com Resolution fixed => open
2019-03-01 08:03 hgbot Checkin
2019-03-01 08:03 hgbot Note Added: 0110138
2019-03-01 14:38 ranjith_qualiantech_com Status new => scheduled
2019-03-05 10:55 hgbot Checkin
2019-03-05 10:55 hgbot Note Added: 0110221
2019-03-05 10:55 hgbot Status scheduled => resolved
2019-03-05 10:55 hgbot Resolution open => fixed
2019-03-05 10:55 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/b22d5af852fc77af121e5a9479b421c45e9a3e50 [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/6462bd3ae83f41e92b347186d3b3b630cbac78cd [^]
2019-03-05 10:55 hgbot Checkin
2019-03-05 10:55 hgbot Note Added: 0110222
2019-03-05 17:28 jorge-garcia Review Assigned To => jorge-garcia
2019-03-05 17:28 jorge-garcia Note Added: 0110237
2019-03-05 17:28 jorge-garcia Status resolved => closed
2019-03-27 13:47 hgbot Checkin
2019-03-27 13:47 hgbot Note Added: 0110693


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker